commit:     7affc9f183165f8c5ce8fa2dcaebb2d74ae137dc
Author:     Dirkjan Ochtman <djc <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 11 07:19:42 2018 +0000
Commit:     Dirkjan Ochtman <djc <AT> gentoo <DOT> org>
CommitDate: Tue Sep 11 07:19:42 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7affc9f1

dev-util/cargo: tweak the build command and die early

 dev-util/cargo/cargo-0.29.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-util/cargo/cargo-0.29.0.ebuild 
b/dev-util/cargo/cargo-0.29.0.ebuild
index e5043089537..984fa0934a2 100644
--- a/dev-util/cargo/cargo-0.29.0.ebuild
+++ b/dev-util/cargo/cargo-0.29.0.ebuild
@@ -125,7 +125,7 @@ wincolor-0.1.6
 wincolor-1.0.0
 "
 
-inherit cargo bash-completion-r1 versionator
+inherit cargo bash-completion-r1 multiprocessing versionator
 
 BOOTSTRAP_VERSION="0.$(($(get_version_component_range 2) - 1)).0"
 
@@ -195,7 +195,7 @@ src_configure() {
 src_compile() {
        export CARGO_HOME="${ECARGO_HOME}"
        local 
cargo="${WORKDIR}/cargo-${BOOTSTRAP_VERSION}-${TRIPLE}/cargo/bin/cargo"
-       ${cargo} build --release
+       ${cargo} build -j$(makeopts_jobs) --release || die
 
        # Building HTML documentation
        use doc && ${cargo} doc

Reply via email to